%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define rname alloy
%define beta %nil

Name: kde-styles-%rname
Version: 0.5
Release: alt1

Group: Graphical desktop/KDE
Summary: KDE Style
License: GPL
URL: http://www.varlock.com/projects/kalloy.html

Source: %rname-%version%beta.tar.bz2
Patch1: 0.5-flags.patch
Patch2: 0.5-detect-autoconf.patch
Patch3: 0.5-lkdecorations.patch

# Automatically added by buildreq on Wed Mar 24 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdebase-devel kdebase-wm kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ kdebase-devel kdelibs-devel libarts-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel qt3-designer zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base

%description
Alloy is a KDE Style for KDE 3.x

%prep
%setup -q -n %rname-%version%beta
%patch1 -p1
%patch2 -p1
%patch3 -p1

subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
export QTDIR=%qtdir
%configure \
	--enable-final \
	--disable-rpath \
	--enable-shared \
	--disable-static \
        --disable-debug \
	--program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install
#mkdir -p %buildroot/%_libdir/kde3/plugins/styles/
#mv %buildroot/%_libdir/*.{so*,la} %buildroot/%_libdir/kde3/plugins/styles/

%files
%doc AUTHORS ChangeLog TODO
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so*
#
%dir %_datadir/apps/kdisplay/color-schemes
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%dir %_datadir/apps/kstyle/themes
%_datadir/apps/kstyle/themes/*.themerc
%dir %_datadir/apps/kwin
%_datadir/apps/kwin/*.desktop

%changelog
* Wed Mar 24 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt1
- new version

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 0.4.1-alt2.a
- fix build requires

* Thu Aug 28 2003 Sergey V Turchin <zerg at altlinux dot org> 0.4.1-alt1.a
- new version

* Fri Apr 11 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.1-alt2
- fix requires

* Fri Apr 11 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.1-alt1
- initial spec
